phoenix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Josh Elser (Jira)" <j...@apache.org>
Subject [jira] [Resolved] (PHOENIX-5687) Phoenix-client-5.0.0 can not run on jdk13
Date Fri, 17 Jan 2020 18:01:00 GMT

     [ https://issues.apache.org/jira/browse/PHOENIX-5687?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Josh Elser resolved PHOENIX-5687.
---------------------------------
    Resolution: Later

> Phoenix-client-5.0.0 can not run on jdk13
> -----------------------------------------
>
>                 Key: PHOENIX-5687
>                 URL: https://issues.apache.org/jira/browse/PHOENIX-5687
>             Project: Phoenix
>          Issue Type: Bug
>    Affects Versions: 5.0.0
>         Environment: Spring boot: 2.0.6
> Jdk:13
> phonix-client:5.0.0
>            Reporter: zhengchuxiong
>            Priority: Major
>         Attachments: HbaseServiceTest.java
>
>
> Use phoenix 5.0.0 version to connect hbase,the project run on environment jdk13 , than
got an exception "java.lang.IncompatibleClassChangeError: Inconsistent constant pool data
in classfile for class org/apache/hadoop/hbase/client/Row. Method 'int lambda$static$28(org.apache.hadoop.hbase.client.Row,
org.apache.hadoop.hbase.client.Row)' at index 57 is CONSTANT_MethodRef and should be CONSTANT_InterfaceMethodRef"
> When i cut to environment jdk8 , the program work fine .
> Anybody who can give me some suggestion?



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message